#!/bin/sh

echo -e "Configuring directories..."
DOTDIR=$(cd -- "$(dirname -- $0)" &> /dev/null && pwd)
ZDOTDIR="$HOME/.config/zsh"
mkdir -p $ZDOTDIR  # Symlink only the individual files instead of the entire directory

sleep 0.5
echo -e "Creating the symlinks with stow..."

stow -d $DOTDIR -t $HOME alacritty \
                        mako \
                        nvim \
                        scripts \
                        sway \
                        swaylock \
                        swaynag \
                        waybar \
                        zsh

sleep 0.5
echo -e "Making scripts executable..."

chmod +x $DOTDIR/scripts/.local/bin/clear-clipboard.sh
chmod +x $DOTDIR/sway/.config/sway/autostart.sh
chmod +x $DOTDIR/waybar/.config/waybar/ivpn-status.sh
chmod +x $DOTDIR/waybar/.config/waybar/ivpn-reconnect.sh
chmod +x $DOTDIR/waybar/.config/waybar/mediaplayer.py

sleep 0.5
echo -e "Done!"
